/*

 dns.h

 header file for DNS routines.

 Created by Ernest Schloesser, Beck IPC GmbH on january 31st 2001


*/

/*
    gethostbyname
    This is the function it is all about.
    It prepares the request
    Opens the socket
    Sends the request
    Receives the answer
    Interprets the answer
    Closes the socket

    return 1 on succes
*/
int gethostbyname(  const char *dnsServerIP, // where to ask for the dns resolution
		    const char *domainName,  // The domain name "www.beck-ipc.com"
		    unsigned long *ttl,      // Time to live in seconds
		    unsigned long *IP,       // The 32 bit IP
		    char *dest);             // The IP as text (make sure it is long enough)
        